Package net.shibboleth.idp.saml.audit.impl

# Class ScopingRequesterListAuditExtractor

java.lang.Object
net.shibboleth.idp.saml.audit.impl.AbstractScopingAuditExtractor<Collection<String>>
net.shibboleth.idp.saml.audit.impl.ScopingRequesterListAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<String>>`

public class ScopingRequesterListAuditExtractor extends AbstractScopingAuditExtractor<Collection<String>>
`Function` that returns `Scoping.getRequesterIDs()` from an `AuthnRequest`.

Since:
  4.2.0

## Constructor Summary

Constructors
Constructor
Description
`ScopingRequesterListAuditExtractor(Function<ProfileRequestContext,AuthnRequest> strategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Collection<String>`
`doApply(Scoping scoping)`
Override point to do the extraction.

### Methods inherited from class net.shibboleth.idp.saml.audit.impl.AbstractScopingAuditExtractor

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ScopingRequesterListAuditExtractor

public ScopingRequesterListAuditExtractor(@Nonnull Function<ProfileRequestContext,AuthnRequest> strategy)
Constructor.

Parameters:
  `strategy` - lookup strategy for message

## Method Details

### doApply

@Nullable @Unmodifiable @NotLive protected Collection<String> doApply(@Nullable Scoping scoping)
Override point to do the extraction.

Specified by:
  `doApply` in class `AbstractScopingAuditExtractor<Collection<String>>`
Parameters:
  `scoping` - the input object
Returns:
  the extracted value